<?php
/**
 * StatusesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Customers
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CustomersClient;

use \Ensi\CustomersClient\Configuration;
use \Ensi\CustomersClient\ApiException;
use \Ensi\CustomersClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * StatusesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class StatusesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createCustomerStatus
     *
     * Создание объекта типа Status.
     *
     */
    public function testCreateCustomerStatus()
    {
    }

    /**
     * Test case for deleteCustomerStatus
     *
     * Удаление объекта типа Status.
     *
     */
    public function testDeleteCustomerStatus()
    {
    }

    /**
     * Test case for getCustomerStatus
     *
     * Получение объекта типа Status.
     *
     */
    public function testGetCustomerStatus()
    {
    }

    /**
     * Test case for patchCustomerStatus
     *
     * Замена объекта типа Status.
     *
     */
    public function testPatchCustomerStatus()
    {
    }

    /**
     * Test case for searchCustomerStatuses
     *
     * Поиск объектов типа Status.
     *
     */
    public function testSearchCustomerStatuses()
    {
    }
}
